KDockWidgetAbstractHeader Class Reference

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetAbstractHeader:

## Public Member Functions

| KDockWidgetAbstractHeader (KDockWidget *parent, const char *name=0L)
virtual | ~KDockWidgetAbstractHeader ()
virtual void | setTopLevel (bool)
virtual void | saveConfig (KConfig *)
virtual void | loadConfig (KConfig *)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

An abstract base clase for all dockwidget headers (and member of the dockwidget class set).

See the class description of KDockWidgetHeader! More or less a minor helper class for the dockwidget class set.

Author
  Max Judin (documentation: Falk Brettschneider).

Definition at line 103 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetAbstractHeader::KDockWidgetAbstractHeader | ( | KDockWidget * | parent,
|  | const char * | name = `0L`
| ) |  |

Constructs this.

Parameters

  parent | the parent widget (usually a dockwidget)
  name | the object instance name

Definition at line 211 of file kdockwidget.cpp.

virtual KDockWidgetAbstractHeader::~KDockWidgetAbstractHeader | ( |  | ) |

inline virtual

Destructs this.

Definition at line 119 of file kdockwidget.h.

## Member Function Documentation

virtual void KDockWidgetAbstractHeader::loadConfig | ( | KConfig * |  | ) |

inline virtual

Provides loading the current configuration.

Must be overridden by an inheriting class

Reimplemented in KDockWidgetHeader.

Definition at line 135 of file kdockwidget.h.

virtual void KDockWidgetAbstractHeader::saveConfig | ( | KConfig * |  | ) |

inline virtual

Provides saving the current configuration.

Must be overridden by an inheriting class.

Reimplemented in KDockWidgetHeader.

Definition at line 130 of file kdockwidget.h.

virtual void KDockWidgetAbstractHeader::setTopLevel | ( | bool |  | ) |

inline virtual

Provides things concerning to switching to toplevel mode.

Must be overridden by an inheriting class.

Reimplemented in KDockWidgetHeader.

Definition at line 124 of file kdockwidget.h.

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys